DCMTK - Bug #1097

Build error with Alpine Linux 3.19
2023-12-11 18:20 - Marco Eichelberg

Status: Closed Start date: 2023-12-11
Priority: Normal Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Library and Apps Estimated time: 1:00 hour
Target version: 3.7.1+

Module: ofstd Compiler:

Operating System:

Description

On Alpine Linux 3.18 and 3.19, the CMake test for the availability of the LFS64 API (fopen64 etc.) succeeds.
However, while compiling class OFFile succeeded on Alpine 3.18, it fails on Alpine 3.19 with errors related to LFS64:

ofstd/include/dcmtk/ofstd/offile.h:359:16: error: '::fopen64' has not been declared; did you mean
'fopen'?

ofstd/include/dcmtk/ofstd/offile.h:466:16: error: '::freopen64' has not been declared; did you mea

n 'freopen'?

ofstd/include/dcmtk/ofstd/offile.h:485:16: error: '::tmpfile64' has not been declared; did you mea

n 'tmpfile'?

ofstd/include/dcmtk/ofstd/offile.h:809:17: error: '::fseeko64' has not been declared; did you mean
'fseeko'?

ofstd/include/dcmtk/ofstd/offile.h:842:17: error: '::ftello64' has not been declared; did you mean
'ftello'?

ofstd/include/dcmtk/ofstd/offile.h:866:17: error: '::fgetpos64' has not been declared; did you mea

n 'fgetpos'?

ofstd/include/dcmtk/ofstd/offile.h:886:17: error: '::fsetpos64' has not been declared; did you mea

n 'fsetpos'?

History

#1 - 2024-01-13 19:05 - Marco Eichelberg
- Assignee set to Marco Eichelberg

- % Done changed from 0 to 80

#2 - 2024-01-14 11:18 - Marco Eichelberg
- Status changed from New to Closed

- % Done changed from 80 to 100

- Estimated time set to 1:00 h

Fixed by commit #302db2871.
